# MouseSensor(Sensor)

base classes — `bpy_struct`, `Sensor`

class `bpy.types.``MouseSensor`(Sensor)

  Sensor to detect mouse events

  `material`

    Only look for objects with this material (blank = all objects)

    Type: | string, default “”, (never None)

  `mouse_event`

    Type of event this mouse sensor should trigger on

    Type: | enum in [‘LEFTCLICK’, ‘MIDDLECLICK’, ‘RIGHTCLICK’, ‘WHEELUP’, ‘WHEELDOWN’, ‘MOVEMENT’, ‘MOUSEOVER’, ‘MOUSEOVERANY’], default ‘LEFTCLICK’

  `property`

    Only look for objects with this property (blank = all objects)

    Type: | string, default “”, (never None)

  `use_material`

    Toggle collision on material or property

    - `PROPERTY` Property, Use a property for ray intersections.
    - `MATERIAL` Material, Use a material for ray intersections.

    Type: | enum in [‘PROPERTY’, ‘MATERIAL’], default ‘PROPERTY’

  `use_pulse`

    Moving the mouse over a different object generates a pulse

    Type: | boolean, default False

  `use_x_ray`

    Toggle X-Ray option (see through objects that don’t have the property)

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Sensor.name` `Sensor.type` `Sensor.pin` `Sensor.active` `Sensor.show_expanded` `Sensor.invert` | `Sensor.use_level` `Sensor.use_pulse_true_level` `Sensor.use_pulse_false_level` `Sensor.tick_skip` `Sensor.use_tap` `Sensor.controllers`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Sensor.link` `Sensor.unlink`